Subject: Re: [Roll] AD Review of draft-ietf-roll-mpl-parameter-configuration

From: Yusuke DOI <[email-masked]>
Date: Thu, 02 Jul 2015 18:24:41 +0900

Dear Alvaro,

Sorry for late update. I've just submitted revised version (06, not 05, sorry for unfixed nits)

On 2015-06-19 01:49, Alvaro Retana (aretana) wrote:
> The use of ³MAY² above gives the impression that joining is optional.  But
> you¹re saying that even if the node wants to join it may not be able to,
> which is different.
>
> Suggestion:
>
> OLD>
>
>     If a DHCPv6 client requests and receives MPL Parameter Configuration
>     Option, the node MAY join the MPL domain given by the option and act
>     as an MPL forwarder.
>
>
> NEW>
>
>     If a DHCPv6 client requests and receives MPL Parameter Configuration
>     Option, the node SHOULD join the MPL domain given by the option and act
>     as an MPL forwarder.  Note that there may be cases in which a node may
>     fail is to join a domain (or domains) due to local resource constraints.
>
> I¹m not sure if you/the WG want to add something else to that paragraph..

Thank you. I used your suggested text.

> How about this instead:
>
> NEW>
>
>     A node SHOULD leave an MPL domain if it receives an updated
>     MPL Parameter Configuration Option without a configuration for the
>     MPL domain, unless it has overriding external configuration.
>
>
> I¹m not sure if ³external² is the right word..or if ³manual² might be
> better.  Look at the point #1 above about how other nodes may be
> configured.
>
> In this section (2.3) there¹s a priority of configuration shown:
>
>     The priority of MPL Parameter Configuration applied for an MPL Domain
>     is as follows (high to low).
>
>     o  Specific MPL Parameter Configuration to the MPL Domain (optlen=34)
>
>     o  Wildcard MPL Parameter Configuration (optlen=18)
>
>     o  Default configuration given in the MPL specification.
>
>
> But there is no mention anywhere in the document to external/manual
> configuration.  Where in that priority list should it fit?

I added some text on manual configuration on -06.
I believe the priority of manual configuration is up to the implementation and out of scope of the document.

BTW, on your previous e-mail on June 16:

> 2.5. (DHCPv6 Relay Behavior).  A reference to rfc6422 would be nice.

I think this document does not have any Relay-supplied information. Is the reference still nice-to-have? (-06 does not have reference for 6422).

Thanks!

Yusuke